Skip to content
Start here

List Access SCIM update logs

client.zeroTrust.access.logs.scim.updates.list(UpdateListParams { account_id, idp_id, cf_resource_id, 12 more } params, RequestOptionsoptions?): V4PagePaginationArray<UpdateListResponse { cf_resource_id, error_description, idp_id, 8 more } >
GET/accounts/{account_id}/access/logs/scim/updates

Lists Access SCIM update logs that maintain a record of updates made to User and Group resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: SCIM Logs Read
ParametersExpand Collapse
params: UpdateListParams { account_id, idp_id, cf_resource_id, 12 more }
account_id: string

Path param: Identifier.

maxLength32
idp_id: Array<string>

Query param: The unique Id of the IdP that has SCIM enabled.

cf_resource_id?: string

Query param: The unique Cloudflare-generated Id of the SCIM resource.

direction?: "desc" | "asc"

Query param: The chronological order used to sort the logs.

One of the following:
"desc"
"asc"
idp_resource_id?: string

Query param: The IdP-generated Id of the SCIM resource.

limit?: number

Query param: The maximum number of update logs to retrieve.

page?: number

Query param: Page number of results.

per_page?: number

Query param: Number of results per page.

request_method?: Array<"DELETE" | "PATCH" | "POST" | "PUT">

Query param: The request method of the SCIM request.

One of the following:
"DELETE"
"PATCH"
"POST"
"PUT"
resource_group_name?: string

Query param: The display name of the SCIM Group resource.

resource_type?: Array<"USER" | "GROUP">

Query param: The resource type of the SCIM request.

One of the following:
"USER"
"GROUP"
resource_user_email?: string

Query param: The email address of the SCIM User resource.

formatemail
since?: string

Query param: the timestamp of the earliest update log.

formatdate-time
status?: Array<"FAILURE" | "SUCCESS">

Query param: The status of the SCIM request.

One of the following:
"FAILURE"
"SUCCESS"
until?: string

Query param: the timestamp of the most-recent update log.

formatdate-time
ReturnsExpand Collapse
UpdateListResponse { cf_resource_id, error_description, idp_id, 8 more }
cf_resource_id?: string

The unique Cloudflare-generated Id of the SCIM resource.

error_description?: string

The error message which is generated when the status of the SCIM request is ‘FAILURE’.

idp_id?: string

The unique Id of the IdP that has SCIM enabled.

idp_resource_id?: string

The IdP-generated Id of the SCIM resource.

logged_at?: string
formatdate-time
request_body?: string

The JSON-encoded string body of the SCIM request.

request_method?: string

The request method of the SCIM request.

resource_group_name?: string

The display name of the SCIM Group resource if it exists.

resource_type?: string

The resource type of the SCIM request.

resource_user_email?: string

The email address of the SCIM User resource if it exists.

formatemail
status?: string

The status of the SCIM request.

List Access SCIM update logs

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const updateListResponse of client.zeroTrust.access.logs.scim.updates.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  idp_id: ['df7e2w5f-02b7-4d9d-af26-8d1988fca630', '0194ae2c-efcf-7cfb-8884-055f1a161fa5'],
})) {
  console.log(updateListResponse.cf_resource_id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "cf_resource_id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "error_description": "Invalid JSON body",
      "idp_id": "df7e2w5f-02b7-4d9d-af26-8d1988fca630",
      "idp_resource_id": "all_employees",
      "logged_at": "2014-01-01T05:20:00.12345Z",
      "request_body": "{}}",
      "request_method": "DELETE",
      "resource_group_name": "ALL_EMPLOYEES",
      "resource_type": "GROUP",
      "resource_user_email": "john.smith@example.com",
      "status": "FAILURE"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "cf_resource_id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "error_description": "Invalid JSON body",
      "idp_id": "df7e2w5f-02b7-4d9d-af26-8d1988fca630",
      "idp_resource_id": "all_employees",
      "logged_at": "2014-01-01T05:20:00.12345Z",
      "request_body": "{}}",
      "request_method": "DELETE",
      "resource_group_name": "ALL_EMPLOYEES",
      "resource_type": "GROUP",
      "resource_user_email": "john.smith@example.com",
      "status": "FAILURE"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}